<?php

namespace Drupal\feature_toggle;

/**
 * Feature wrapper class.
 */
class Feature implements FeatureInterface {

  /**
   * Feature constructor.
   *
   * @param string $name
   *   The feature name.
   * @param string $label
   *   The feature label.
   */
  public function __construct(
    protected string $name,
    protected string $label,
  ) {}

  /**
   * {@inheritdoc}
   */
  public function name(): string {
    return $this->name;
  }

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    return $this->label;
  }

}
