<?php

namespace Drupal\feature_toggle;

/**
 * Defines the FeatureStatus service behavior.
 */
interface FeatureStatusInterface {

  /**
   * Returns the feature status.
   *
   * @param string $name
   *   The feature name.
   *
   * @return bool
   *   The feature status.
   */
  public function getStatus(string $name): bool;

  /**
   * Sets the feature status value.
   *
   * @param FeatureInterface $feature
   *   The feature to update.
   * @param bool $status
   *   The feature status value.
   */
  public function setStatus(FeatureInterface $feature, bool $status): void;

}
